curl --request GET \
--url http://{host}:{port}/{contextPath}/decision-requirements-definition/{id} \
--header 'Authorization: Basic <encoded-value>'import requests
url = "http://{host}:{port}/{contextPath}/decision-requirements-definition/{id}"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('http://{host}:{port}/{contextPath}/decision-requirements-definition/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "invoice:1:9f86d61f-9ee5-11e3-be3b-606720b6f99c",
"key": "invoiceKey",
"category": "invoice",
"name": "receiptInvoice",
"version": 2,
"resource": "invoice.dmn",
"deploymentId": "c627175e-41b7-11e6-b0ef-00aa004d0001",
"tenantId": null
}{
"type": "<string>",
"message": "<string>",
"code": 123
}Get Decision Requirements Definition by ID
Retrieves a decision requirements definition according to the
DecisionRequirementsDefinition interface in the engine.
Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Path Parameters
The id of the decision requirements definition to be retrieved.
Response
Request successful.
The id of the decision requirements definition
The key of the decision requirements definition, i.e., the id of the DMN 1.0 XML decision definition.
The name of the decision requirements definition.
The category of the decision requirements definition.
The version of the decision requirements definition that the engine assigned to it.
The file name of the decision requirements definition.
The deployment id of the decision requirements definition.
The tenant id of the decisionrequirements definition.